com.io7m.jcanephora.core.api

## Interface JCGLColorBufferMaskingType

-     public interface JCGLColorBufferMaskingType

  OpenGL color buffer masking interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `colorBufferMask(boolean r, boolean g, boolean b, boolean a)` Enable/disable writing to the given channels of the current color buffer.
    `boolean` | `colorBufferMaskStatusAlpha()`
    `boolean` | `colorBufferMaskStatusBlue()`
    `boolean` | `colorBufferMaskStatusGreen()`
    `boolean` | `colorBufferMaskStatusRed()`

- - ### Method Detail

    - #### colorBufferMask

          void colorBufferMask(boolean r,
                               boolean g,
                               boolean b,
                               boolean a)
                        throws JCGLException

      Enable/disable writing to the given channels of the current color buffer. A value of `true` for a given channel indicates that data will be written to that channel.
      Parameters:
        `r` - Enable/disable writing to the red channel of the color buffer.
        `g` - Enable/disable writing to the green channel of the color buffer.
        `b` - Enable/disable writing to the blue channel of the color buffer.
        `a` - Enable/disable writing to the alpha channel of the color buffer.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### colorBufferMaskStatusAlpha

          boolean colorBufferMaskStatusAlpha()
                                      throws JCGLException

      Returns:
        `true` iff writing to the current color buffer will write to the alpha channel.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### colorBufferMaskStatusBlue

          boolean colorBufferMaskStatusBlue()
                                     throws JCGLException

      Returns:
        `true` iff writing to the current color buffer will write to the blue channel.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### colorBufferMaskStatusGreen

          boolean colorBufferMaskStatusGreen()
                                      throws JCGLException

      Returns:
        `true` iff writing to the current color buffer will write to the green channel.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

    - #### colorBufferMaskStatusRed

          boolean colorBufferMaskStatusRed()
                                    throws JCGLException

      Returns:
        `true` iff writing to the current color buffer will write to the red channel.
      Throws:
        `JCGLException` - Iff an OpenGL error occurs.

Copyright © 2016 <code@io7m.com> http://io7m.com